#include <stdio.h>
#include <gsl/gsl_linalg.h>
#include <gsl/gsl_blas.h>
#include "qr_nm.h"

int newton_raphson_qr
//(gsl_matrix * (* A)(gsl_matrix *),
// gsl_vector * (* b)(gsl_vector *),
// gsl_vector * q)
(gsl_matrix * (* A)(),
 gsl_vector * (* b)(),
 gsl_vector * q)
{
  int i;
  int maxiterations=100;
  double underrelaxation=0.9;
  double tolerance=1.0e-10;
  int gsl_errno;

  gsl_matrix * J=NULL;
  
  gsl_vector * Phi=NULL;

  gsl_vector * delta_q=NULL;

  gsl_permutation * p = NULL;

  //J=(* A)(J,q,dq);
  J=(* A)();
  
  //Phi=(* b)(Phi,q,dq);
  Phi=(* b)();

  gsl_vector_scale (Phi, -1.0);

  delta_q = gsl_vector_alloc (J->size2);
  gsl_vector_set_zero (delta_q);

  p = gsl_permutation_alloc (J->size2);
  gsl_permutation_init (p);

  qr_nm(J, Phi, p, delta_q);

  gsl_vector_scale (delta_q, underrelaxation);

  gsl_vector_add (q, delta_q);

for (i=0; (gsl_blas_dnrm2 (delta_q)>tolerance)&(i<maxiterations);i++)
 {

  //J=(* A)(J,q,dq);
  J=(* A)();

  //Phi=(* b)(Phi,q,dq);
  Phi=(* b)();

  gsl_vector_scale (Phi, -1.0);

  gsl_vector_set_zero(delta_q);

  gsl_permutation_init (p);

  qr_nm(J, Phi, p, delta_q);

  gsl_vector_scale (delta_q, underrelaxation);
  gsl_vector_add (q, delta_q);

 }

  gsl_matrix_free(J);

  gsl_vector_free(Phi);

  gsl_vector_free(delta_q);

  gsl_permutation_free(p);

  return gsl_errno;

}
