
#      Create a title:                  > set title "Force-Deflection Data" 
#      Put a label on the x-axis:       > set xlabel "Deflection (meters)"
#      Put a label on the y-axis:       > set ylabel "Force (kN)"
#      Change the x-axis range:         > set xrange [0.001:0.005]
#      Change the y-axis range:         > set yrange [20:500]
#      Have Gnuplot determine ranges:   > set autoscale
#      Move the key:                    > set key 0.01,100
#      Delete the key:                  > unset key
#      Put a label on the plot:         > set label "yield point" at 0.003, 260 
#      Remove all labels:               > unset label
#      Plot using log-axes:             > set logscale
#      Plot using log-axes on y-axis:   > unset logscale; set logscale y 
#      Change the tic-marks:            > set xtics (0.002,0.004,0.006,0.008)
#      Return to the default tics:      > unset xtics; set xtics auto

set title "Coordinates vs time"
set ylabel "theta1 theta2"
set xlabel "t"
set grid

set term X11 1
set output

plot "state.dat" using ($1):($2) title "theta1", "state.dat" using ($1):($3)  title "theta2"

set term postscript eps color
set output "coordinates_NewEul.eps"

plot "state.dat" using ($1):($2) title "theta1", "state.dat" using ($1):($3)  title "theta2"

set term X11 2
set output

set title "Velocities vs time"
set ylabel "dtheta1 dtheta2"

plot "state.dat" using ($1):($4) title "dtheta1", "state.dat" using ($1):($5)  title "dtheta2"

set term postscript eps color
set output "velocities_NewEul.eps"

plot "state.dat" using ($1):($4) title "dtheta1", "state.dat" using ($1):($5)  title "dtheta2"

set term X11 3
set output

set title "Accelerations vs time"
set ylabel "ddtheta1 ddtheta2"

plot "state.dat" using ($1):($6) title "ddtheta1", "state.dat" using ($1):($7)  title "ddtheta2"

set term postscript eps color
set output "accelerations_NewEul.eps"

plot "state.dat" using ($1):($6) title "ddtheta1", "state.dat" using ($1):($7)  title "ddtheta2"

set term X11 4
set output

set title "Forces vs time"
set ylabel "Fgp12 Fgp13 Fp1p22 Fp1p23"

plot "state.dat" using ($1):($15) title "Fgp12", "state.dat" using ($1):($16)  title "Fgp13","state.dat" using ($1):($17)  title "Fp1p22","state.dat" using ($1):($18)  title "Fp1p23"

set term postscript eps color
set output "Forces_NewEul.eps"

plot "state.dat" using ($1):($15) title "Fgp12", "state.dat" using ($1):($16)  title "Fgp13","state.dat" using ($1):($17)  title "Fp1p22","state.dat" using ($1):($18)  title "Fp1p23"

